forge.typo3.org - Bug #27781

Feature # 36172 (Closed): Forge cleanup and update umbrella issue

Cannot change background color or image of a project
2011-06-30 12:54 - Reinhard Fihricht

Status: Closed Start date: 2011-06-30
Priority: Must have Due date:

Assignee: Michael Stucki % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

| want to change the background image and color of the header section in one of my projects.
Whatever | enter in one of these fields is not saved:

Header Image

Topbar Background Color (CSS Colors)
Topbar Text Color (CSS Colors)
Quicklinks

The other fields like Name, Description and Homepage can be changed.

Related issues:

Has duplicate forge.typo3.org - Bug #41642: Can't update quicklinks and logo ... Closed 2012-10-06
Has duplicate forge.typo3.org - Bug #44100: unable to change header image and... Closed 2012-12-19
Has duplicate forge.typo3.org - Bug #48790: Cannot update quicklinks of "cont... Closed 2013-06-03
History

#1 - 2011-07-31 19:16 - Alexander Grein

| can confirm this problem. Please fix it, my current background picture is so ugly!

#2 - 2011-12-27 21:08 - Steffen Gebert

- Status changed from New to Accepted

#3 - 2012-01-08 20:41 - Francois Suter

Very annoying indeed. It used to work in the past, as | have some projects where | could make the changes.

#4 - 2012-03-12 16:18 - Andreas Becker

Problem still exists. Is there any way i can help to fix that problem?

#5 - 2012-10-17 22:44 - Steffen Gebert

Note to myself: To manually upload a file, place it under ~/redmine/public/images/headerimages/<project_id>.jpg

#6 - 2013-01-29 12:08 - Michael Schams

BUMP .... any chance to get this issue fixed, which has been reported over 1.5 years ago? :-)

#7 - 2013-03-16 09:54 - Peter Niederlag
- Assignee set to Peter Niederlag

- % Done changed from 0 to 30

At first it's a problem with permissions on field access. This is fixed now via this patch:

https://github.com/TYPOS3/rm_flow_design_helpers/commit/at565ed51b084cff6239819cf494132794b827¢c5

I'll now further dig into the file issue...

#8 - 2013-03-16 09:55 - Peter Niederlag
https://github.com/TYPO3/rm_flow_design_helpers/commit/af565ed51b084cff6239819cf494132794b827c5

- Parent task set to #36172

#9 - 2013-03-18 13:45 - Peter Niederlag
- Status changed from Accepted to Resolved

- % Done changed from 30 to 90

Fix is done in dev instance and will be part of the update which is going to become true really soon.

#10 - 2013-05-23 11:45 - Reinhard Fiihricht

Thanks for fixing this.
Is it fixed in the live instance too now?
| just tried to change the background, but it didn't work.

#11 - 2013-05-23 15:33 - Bastian Bringenberg

We have problems with the SVN integration ( user rights and so on ) so the update did not yet happen.

#12 - 2013-11-11 10:39 - Michiel Roos
BUMP

#13 - 2013-11-11 11:41 - Bastian Bringenberg

Hey Michiel, Bumping is nice, but it is not speeding anything up. We have right now a lot of work combined with the update. If you follow
@TYPOS3Server on twitter you will have mentioned, that we've had a meeting the last few days in hamburg and got a lot of things done. Right now
there are still things, that work not pretty well and we need more time before updateing this huge project..

#14 - 2015-07-17 22:46 - Michael Stucki
- Status changed from Resolved to Accepted

- % Done changed from 90 to 50

Text and background color are fixed, but you can also set a background image, which does not work yet.

#15 - 2015-07-20 14:00 - Peter Niederlag

It seems that the background image can even be changed but won't be reflected in the output until caches are invalidated. As of today an updated
image showed up on a project where e did some testing last friday night.

#16 - 2015-07-20 14:04 - Peter Niederlag
- Status changed from Accepted to In Progress
- Assignee changed from Peter Niederlag to Michael Stucki

- % Done changed from 50 to 100

- Backgrund image can be changed
- It needs a reload to see the changed background image

This is true with admin permissions at least, someone with an unprivileged account around for testing on another project?

#17 - 2015-07-20 21:26 - Michael Stucki

- Status changed from In Progress to Resolved

Great, many thanks!

#18 - 2017-04-29 17:21 - Steffen Gebert

- Status changed from Resolved to Closed
